%define nmversion	%(echo %{version} | cut -d "." -f -2)
%define url_ver		%(echo %{version}|cut -d. -f1,2)

# filter out plugin .so provides
%global __provides_exclude_from	%{_libdir}/NetworkManager/.*\\.so

Summary:	NetworkManager VPN integration for OpenVPN
Name:		networkmanager-openvpn
Version:	1.10.2
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Base
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source:		https://download.gnome.org/sources/NetworkManager-openvpn/%{url_ver}/NetworkManager-openvpn-%{version}.tar.xz
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) > 2.91.4
BuildRequires:	pkgconfig(libnma)
BuildRequires:	pkgconfig(libsecret-unstable)
BuildRequires:	libtool
BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	gnome-common
Requires:	openvpn

%description
This package contains software for integrating the OpenVPN VPN software
with NetworkManager.

%prep
%setup -qn NetworkManager-openvpn-%{version}
%apply_patches

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
    --disable-static \
    --with-dist-version="%product_distribution %product_version" \
    --without-libnm-glib
    
%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang NetworkManager-openvpn

%pre
%_pre_useradd nm-openvpn %{_localstatedir}/lib/openvpn /bin/false

%files -f NetworkManager-openvpn.lang
%{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn-editor.so
%{_usr}/lib/NetworkManager/VPN/nm-openvpn-service.name
%{_libexecdir}/nm-openvpn-auth-dialog
%{_libexecdir}/nm-openvpn-service
%{_libexecdir}/nm-openvpn-service-openvpn-helper
%config(noreplace) %{_datadir}/dbus-1/system.d/nm-openvpn-service.conf
%{_datadir}/metainfo/network-manager-openvpn.metainfo.xml

%changelog
* Thu Nov 24 2022 tex - 1.10.2-1pclos2022
- new version

* Mon Aug 29 2022 tex - 1.10.0-1pclos2022
- new version

* Thu May 20 2021 tex - 1.8.12-1pclos2021
- create pkg
